From version 2.0

New requirements

dmBridge now requires the Ghostscript software to be installed on the server. (If it is not, the new DMPaginatedPDFViewer will not work, though the rest of dmBridge will function normally.)

Upgrade steps

  1. Back up your existing dmBridge folder.

  2. Add the following new keys to your config.ini file:

    dmbridge.ghostscript_path

    The absolute path to the gs program.

    contentdm.collections.pathname

    The absolute path to the folder containing the CONTENTdm® collections.

  3. Remove the following no-longer-used keys from your config.ini file:

    • contentdm.showfile_exe.path

    • contentdm.showpdf_exe.path

    • contentdm.thumbnail_exe.path

  4. If you wish to use the new DMPaginatedPDFViewer as a PDF viewer, associate it with application/pdf files in the Collections section of the Control Panel.

  5. If you wish to use the new DMMonocle2Viewer instead of the DMMonocleViewer, associate it with the common image types - image/jpeg, image/tiff, image/jp2, etc. - in the Collections section of the Control Panel.

    [Caution]Caution

    The DMMonocleViewer is deprecated and will be removed from a future version of dmBridge. Please upgrade at your earliest convenience.

  6. If you have created any custom object viewers:

    1. Implement the new DMObjectViewerDelegate::isLowBandwidthCompatible() method in each one. See Chapter 23, Object viewers for more information.

    2. Remove all arguments from the constructor, if defined.